#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define	db_ver	%(rpm -q --whatprovides --qf '%%|E?{%%{E}:}|%%{V}' db-devel)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DB_File
%define		pnam	DB_File
Summary:	DB_File allows to manage a simple ASCII database
Summary(pl.UTF-8):	DB_File pozwala na korzystanie z prostej, tekstowej bazy danych
Name:		perl-DB_File
Version:	1.828
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DB_File/%{pnam}-%{version}.tar.gz
# Source0-md5:	519c2056754a3b1897c6d8b3bc82d6f5
Patch0:		%{name}-rpm-automation.patch
URL:		http://search.cpan.org/dist/DB_File/
BuildRequires:	db-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	db = %{db_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB_File is a module which allows Perl programs to make use of the
facilities provided by Berkeley DB version 1.

%description -l pl.UTF-8
DB_File jest modułem, który pozwala programom w Perlu na korzystanie
z udogodnień dostarczanych przez Berkeley DB w wersji 1.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1

%build
%{__perl} -pi -e "s/INSTALLDIRS => 'perl',//" Makefile.PL
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DB_File.pm
%dir %{perl_vendorarch}/auto/DB_File
%{perl_vendorarch}/auto/DB_File/DB_File.bs
%{perl_vendorarch}/auto/DB_File/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/DB_File/DB_File.so
%{_mandir}/man3/DB_File.3pm*
%changelog
* Sun Nov 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DB_File.git;a=log;h=master

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a04a605
- release 2 (by relup.sh)

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 32c9ac1
- up to 1.828

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> 1bd8016
- fix db dep generation
- rel 5

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> d1536cc
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> f64a1d2
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 0885ea7
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> 87f170a
- up to 1.826

* Tue Jan 17 2012 zbyniu <zbyniu@pld-linux.org> e08f54b
- up to 1.824

* Thu Feb 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 686dad8
- updated to 1.821

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> d828efe
- release 4

* Sat Jun 05 2010 radek <radek@pld-linux.org> 93587d2
- release 3

* Fri Jun 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e0e1248
- release 2

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 355fffa
- updated to 1.820

* Thu Jun 12 2008 Jakub Bogusz <qboosh@pld-linux.org> 8721ab9
- unified

* Thu Jun 12 2008 Jan Rękorajski <baggins@pld-linux.org> 1af79b1
- typo

* Thu Jun 12 2008 Jan Rękorajski <baggins@pld-linux.org> f6a67cf
- rel 2
- require exact version of BerkeleyDB the module was compiled with
	(YAY! No more fucked up spamassassin bayes db!)

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 144c141
- up to 1.817

* Sun Mar 02 2008 radek <radek@pld-linux.org> 99f7129
- release 3

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b6bafca
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 3758d1c
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

